namespace CMSMicroservice.Application.ProductImagesCQ.Commands.DeleteProductImages;
public class DeleteProductImagesCommandValidator : AbstractValidator<DeleteProductImagesCommand>
{
    public DeleteProductImagesCommandValidator()
    {
        RuleFor(model => model.Id)
            .NotNull();
    }
    public Func<object, string, Task<IEnumerable<string>>> ValidateValue => async (model, propertyName) =>
    {
        var result = await ValidateAsync(ValidationContext<DeleteProductImagesCommand>.CreateWithOptions((DeleteProductImagesCommand)model, x => x.IncludeProperties(propertyName)));
        if (result.IsValid)
            return Array.Empty<string>();
        return result.Errors.Select(e => e.ErrorMessage);
    };
}
